From 917e2edbf55e5bc6c98802a610d8b7c05c4e9c78 Mon Sep 17 00:00:00 2001
From: Ioana Radulescu <ruxandra.radulescu@nxp.com>
Date: Mon, 29 Oct 2018 18:54:05 +0200
Subject: [PATCH] arm64: dts: lx2160a-rdb: Add Aquantia PHY nodes

DPMAC3 and DPMAC4 are connected to 10G Aquantia PHYs

Signed-off-by: Catalin Neacsu <valentin-catalin.neacsu@nxp.com>
Signed-off-by: Ioana Radulescu <ruxandra.radulescu@nxp.com>
---
 arch/arm64/boot/dts/freescale/fsl-lx2160a-rdb.dts | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

--- a/arch/arm64/boot/dts/freescale/fsl-lx2160a-rdb.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-lx2160a-rdb.dts
@@ -173,6 +173,18 @@
 		reg = <0x2>;
 		/* Poll mode - no "interrupts" property defined */
 	};
+	aquantia_phy1: ethernet-phy@4 {
+		/* AQR107 PHY - "compatible" property not strictly needed */
+		compatible = "ethernet-phy-ieee802.3-c45";
+		reg = <0x4>;
+		/* Poll mode - no "interrupts" property defined */
+	};
+	aquantia_phy2: ethernet-phy@5 {
+		/* AQR107 PHY - "compatible" property not strictly needed */
+		compatible = "ethernet-phy-ieee802.3-c45";
+		reg = <0x5>;
+		/* Poll mode - no "interrupts" property defined */
+	};
 };
 
 &emdio2 {
@@ -184,6 +196,16 @@
 	};
 };
 
+&dpmac3 {
+	phy-handle = <&aquantia_phy1>;
+	phy-connection-type = "xgmii";
+};
+
+&dpmac4 {
+	phy-handle = <&aquantia_phy2>;
+	phy-connection-type = "xgmii";
+};
+
 &dpmac5 {
 	phy-handle = <&inphi_phy>;
 };
